New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Uploads

Create a dubbing project from an upload

POST
/api/v1/uploads/{upload_id}/dubbing-project

Path Parameters

upload_id*Upload Id

Request Body

application/json
  1. body
name*Name
filename?string|null
source_lang?string|null
target_lang?string|null
keep_background?Keep Background
Defaulttrue
timing_mode?Timing Mode
Default"hybrid"
default_voice_id?string|null
default_voice_source?Default Voice Source
Default"library"
default_voice_model?string|null
num_speakers?integer|null
kind?Kind
Default"dubbing"
clone_voices?Clone Voices
Defaultfalse
diarization_engine?string|null

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X POST 'http://127.0.0.1:8100/api/v1/uploads/string/dubbing-project' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
null